Bug 1000266 - tinymce contains bundled Flash and Shockwave files
tinymce contains bundled Flash and Shockwave files
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: tinymce (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Neal Gompa
Fedora Extras Quality Assurance
:
Depends On:
Blocks: WebAssets-BundledBinaries
  Show dependency treegraph
 
Reported: 2013-08-23 00:42 EDT by T.C. Hollingsworth
Modified: 2014-01-14 17:33 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-14 17:33:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description T.C. Hollingsworth 2013-08-23 00:42:26 EDT
This package contains binary files that are typically excuted by the Flash
player or another similar program.

These files are not permitted in Fedora. [1]  Everything we produce needs to
be built from source. [2]

The offending file(s) shipped in this package are:
/usr/share/tinymce/examples/media/sample.dcr (Shockwave Director)
/usr/share/tinymce/examples/media/sample.swf (Flash)
/usr/share/tinymce/jscripts/tiny_mce/plugins/media/moxieplayer.swf (Flash)


If these files are just a fallback for something that is now supported by modern
web standards like the HTML5 <video> element, please just remove the binaries.

If removing these files would seriously cripple your application, please let me
know so we can figure out a solution.

If you have any questions, please shout.  Thanks!

[1] https://fedoraproject.org/wiki/Packaging:Guidelines#No_inclusion_of_pre-built_binaries_or_libraries
[2] https://lists.fedoraproject.org/pipermail/devel/2013-August/187836.html
Comment 1 Adam Williamson 2013-08-23 06:38:18 EDT
I think I found a magic patch which causes the media plugin to stop trying to use the moxieplayer video wrapper and just generate nice clean HTML5 <video> tags. And I'm bumping tinymce to 3.5.8 into the bargain. Maybe we can un-bundle the various things that bundle it.
Comment 2 Fedora Update System 2013-08-23 21:44:47 EDT
tinymce-3.5.8-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/tinymce-3.5.8-1.fc18
Comment 3 Fedora Update System 2013-08-23 21:44:58 EDT
tinymce-3.5.8-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/tinymce-3.5.8-1.el6
Comment 4 Fedora Update System 2013-08-23 21:45:06 EDT
tinymce-3.5.8-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/tinymce-3.5.8-1.fc19
Comment 5 Fedora Update System 2013-08-25 18:57:40 EDT
tinymce-3.5.8-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-09-14 15:04:53 EDT
tinymce-3.5.8-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-09-14 20:51:18 EDT
tinymce-3.5.8-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Adam Williamson 2014-01-14 17:33:57 EST
Think this is updated everywhere.

Note You need to log in before you can comment on or make changes to this bug.